/**
*=================================================================
*Name:			Loading效果
*RCSfile:		loading.js
*Author:		不详
*Released:		2005-09-25 13:56:00
*Description:	小寒修改为js样式
*WebSite:		http://www.56770.com
*=================================================================
*/
document.title="[Loading...] - "+document.title

document.write ("<table border='0' cellpadding='0' cellspacing='0'>");
document.write ("<tr><td width='1' rowspan='2'></td><td width='1' height='1'></td><td height='1' bgcolor='#cccccc'></td><td width='1'></td><td width='1' rowspan='2'></td></tr>");
document.write ("<tr><td width='1' height='1' bgcolor='#cccccc'></td><td height='1'></td><td width='1' bgcolor='#cccccc'></td></tr>");
document.write ("<tr><td width='1' bgcolor='#cccccc'></td><td width='1' height='1'></td><td width='120' height='0'>");
document.write ("<marquee direction='right' scrollamount='10'><table id='marq' style='font-size:1px;width:50px;height:10px;'><tr><td></td><td ></td><td></td><td ></td><td></td></tr></table></marquee>");
document.write ("</td><td width='1' height='1'></td><td width='1' bgcolor='#cccccc'></td></tr>");
document.write ("<tr><td rowspan='2'></td><td height='1' bgcolor='#cccccc'></td><td height='1'></td><td bgcolor='#cccccc'></td><td rowspan='2'></td></tr>");
document.write ("<tr><td height='1'></td><td height='1' bgcolor='#cccccc'></td><td></td></tr>");
document.write ("</table>");


var lightRGB = new Array(255,255,255);
initColor("#6A220F");
function initColor(Color){
 var opArray=new Array(.10,.25,.50,.75,1.0);
 var baseColor = longHexToDec(Color.substring(1,7));
 var nColor,nHex;
 for(var i=0;i<5;i++) {
  nColor=setColorHue(baseColor,opArray[i],lightRGB);
  nHex = toHex(nColor[0])+toHex(nColor[1])+toHex(nColor[2]);
  document.all.item("marq").firstChild.firstChild.children(i).bgColor="#"+nHex;
 }
}
function setColorHue(originColor,opacityPercent,maskRGB) {
 returnColor=new Array();
 for(w=0;w<originColor.length;w++) returnColor[w] = Math.round(originColor[w]*opacityPercent) + Math.round(maskRGB[w]*(1.0-opacityPercent));
 return returnColor;
}
function longHexToDec(longHex) {
 r=toDec(longHex.substring(0,2));
 g=toDec(longHex.substring(2,4));
 b=toDec(longHex.substring(4,6));
 return new Array(r,g,b);
}
function toHex(dec) {
 hex=dec.toString(16);
 if(hex.length==1)hex="0"+hex;
 if(hex==100)hex="FF";
 return hex.toUpperCase();
}
function toDec(hex) {
 return parseInt(hex,16);
}

function killErrors() {
return true;
}

window.onerror = killErrors;
dd
